react-native에 firebase추가 하기??

조회수 78회

현재 프로젝트에 "react-native-firebase": "5.6.0", 사용하고 있습니다(제가 만든게 아니라 받은 소스입니다)

여기에 제가 firebase ml kit을 추가할려고 하니

"@react-native-firebase/app": "8.2.0"

이 추가 됩니다 그러다 보니 firebase 충돌이 일어나는데 그렇다고 기존 5.6.0을 지우니 기존에 쓰던게 없어서 에러가 나는데 이럴때는 어떻게 해야 되나요?

그리고 firebase/app 8.2.0이랑 firebase 5.6.0은 뭐가 다른건가요? 그리고 @붙은건 뭔지도 궁금합니다

감사합니다

1 답변

  • v5까지는 react-native-firebase 안에 core, auth, messaging 등이 한꺼번에 들어가있었습니다. v6로 업데이트하고 나서부터는 추세에 따라 패키지를 @react-native-firebase/messaging, @react-native-firebase/auth 등으로 나눠서 설치할 수 있습니다. 무거운 패키지를 다 설치하지 않고 입맛에 맞게 필요한 것만 설치해 용량을 아끼자는 취지지요.

    참고로 v5, v6를 병용해서 에러가 발생했을 수도 있어요. 마이그레이션 문서를 참조하시면 v6만 어떻게 쓰는지 방법이 나올겁니다. v5는 곧 deprecated 되기때문에 사용하는 것을 추천하지 않습니다.

    에러 메시지를 보면 어디서 에러가 나는지 찾으실 수 있을거에요. 질문하실 때 추적할 수 있을만한 에러도 올려주시면 답변자가 답변할 때 도움이 된답니다 :)

답변을 하려면 로그인이 필요합니다.

Hashcode는 개발자들을 위한 무료 QnA 사이트입니다. 계정을 생성하셔야만 답변을 작성하실 수 있습니다.

(ಠ_ಠ)
(ಠ‿ಠ)

ᕕ( ᐛ )ᕗ
로그인이 필요합니다

Hashcode는 개발자들을 위한 무료 QnA사이트 입니다. 계정을 생성하셔야만 글을 작성하실 수 있습니다.